tuxpoldo

Debian And Ubuntu Server Unofficial Packages For Bittorrent Sync

Recommended Posts

Hi there,

 

I'm a complete noob to Linux. What I mean by this is that, until this morning, I had really never touched it at all. As you can imagine, trying to understand the language that people familiar with Linux use, is a little difficult.

 

I have managed to install Ubuntu 14.04 LTS on a box I have around. After that the first thing that I want is BitTorrent Sync 2.0.x.

 

I'm using the PPA (is that the right thing to say) at ppa:tuxpoldo/btsync through Synaptic Package Manager.

and updated the system to reflect these changes.

 

I then used Synaptic to install:

btsync-core 2.0.85-1

and

btsync 2.0.0-2

 

This allows me to see the BTSync webui and to lock that onto the 'app bar' to the far left of the Ubuntu desktop (I think that this is called Unity, but that might be wrong).

 

What I want to know is, is this the correct way to do it? Did I miss something out?

 

I don't appear to have a taskbar BTSync icon which I think is something that your package provides.

 

As this is the ONLY thing that I'm going to be having running on this system I might as well get it all set up right!

 

Thanks for taking the time to create this port of the BTSync software, and I hope that you are able to cope with the basic level of this question!!!

Share this post


Link to post
Share on other sites

I'm using the PPA (is that the right thing to say) at ppa:tuxpoldo/btsync through Synaptic Package Manager.

and updated the system to reflect these changes.

 

I then used Synaptic to install:

btsync-core 2.0.85-1

and

btsync 2.0.0-2

 

As far as I understood `btsync-core` is the 2.0 server package. You are not supposed to use it on a desktop like you do. You will run into a couple of issues, like file ownership and permissions.

 

Instead you should install `btsync-gui` when its ready. As tuxpoldo pointed out earlier there are a couple of issues with the GUI that need fixing first.

 

Can somebody confirm what I just wrote?

Share this post


Link to post
Share on other sites

Thanks, that's good to know. If this turns out to be correct (that I need to use btsync-gui), is that the only package that I install? In other words do I only install one package, btsync-gui?

 

Thanks for taking the time.

Share this post


Link to post
Share on other sites

Thanks, that's good to know. If this turns out to be correct (that I need to use btsync-gui), is that the only package that I install? In other words do I only install one package, btsync-gui?

 

Yes. `btsync-gui` has something called dependencies. It means that it depends on other packages (e.g. `btsync-common`) which will automatically be installed first.

Share this post


Link to post
Share on other sites

@tuxpoldo, is it possible to update the repo to the latest version? It allegedly will fix some issues I am having with the webui being silly about permissions.

Share this post


Link to post
Share on other sites

I have updated my 2 btsync devices to 2.0.85. My Ubuntu 14.04 is running normally after the upgrade but my rasp having problems since the upgrade and btsync does not run anymore. Any idea how to fix it?

Möchten Sie fortfahren [J/n]? jVorkonfiguration der Pakete ...Vormals nicht ausgewähltes Paket btsync-core wird gewählt.(Lese Datenbank ... 81863 Dateien und Verzeichnisse sind derzeit installiert.)Entpacken von btsync-core (aus .../btsync-core_2.0.85-1_armhf.deb) ...Vormals nicht ausgewähltes Paket btsync wird gewählt.Entpacken von btsync (aus .../btsync_2.0.0-2_all.deb) ...Trigger für hicolor-icon-theme werden verarbeitet ...btsync-core (2.0.85-1) wird eingerichtet ...btsync (2.0.0-2) wird eingerichtet ...[....] Autostarting btsync instance 'debconf-default':[....] Failed to start btsync instance debconf-default - please check the configuration file /et      [FAILync/debconf-default.conf ... failed!pi@raspberrypi ~ $ sudo dpkg-reconfigure btsync[....] Stopping btsync instance 'debconf-default':start-stop-daemon: warning: failed to kill 7131: No such process[FAIL] Failed to stop btsync instance debconf-default ... failed![....] Autostarting btsync instance 'debconf-default':[....] Failed to start btsync instance debconf-default - please check the configuration file /etc/btsy[FAILbconf-default.conf ... failed!

Share this post


Link to post
Share on other sites

I have updated my 2 btsync devices to 2.0.85. My Ubuntu 14.04 is running normally after the upgrade but my rasp having problems since the upgrade and btsync does not run anymore. Any idea how to fix it?

Please try to see what error is thrown when btsync is launched manually. First you have know under which user btsync runs (you have specified it when installing btsync). Then execute the following command:

sudo -u <USERNAME> /usr/lib/btsync-core/btsync-core --nodaemon --config /etc/btsync/debconf-default.conf

where <USERNAME> is the user under which btsync will run.

Share this post


Link to post
Share on other sites

Please try to see what error is thrown when btsync is launched manually. First you have know under which user btsync runs (you have specified it when installing btsync). Then execute the following command:

sudo -u <USERNAME> /usr/lib/btsync-core/btsync-core --nodaemon --config /etc/btsync/debconf-default.conf

where <USERNAME> is the user under which btsync will run.

 

Hi tuxpoldo,

 

i get this:

sudo -u pi /usr/lib/btsync-core/btsync-core --nodaemon --config /etc/btsync/debconf-default.conf[07:26:16.084] Can't open file /var/lib/btsync//debug.txt with mode 0 permissions 666 - 2 Datei oder Verzeichnis nicht gefundenBy using this application, you agree to our Privacy Policy, Terms of Use and End User License Agreement.http://www.bittorrent.com/legal/privacyhttp://www.bittorrent.com/legal/terms-of-usehttp://www.bittorrent.com/legal/eula[20150320 07:26:16.159] total physical memory -1 max disk cache 2097152[20150320 07:26:16.172] Can't open file /usr/lib/btsync-core/btsync-core.lang.txt with mode 0 permissions 666 - 2 Datei oder Verzeichnis nicht gefunden[20150320 07:26:16.175] Using IP address 192.168.10.4[20150320 07:26:16.192] Found config file of prev major version of sync: 1, will try to create settings backup[20150320 07:26:16.195] Will backup file E92B31A83AEBAA8788BC66082F2371571E1851E5.db[20150320 07:26:16.196] Will backup file 64B8D026BEE6E1D67984C90ADEAAF88111E9FF9A.db-wal[20150320 07:26:16.197] Will backup file 64B8D026BEE6E1D67984C90ADEAAF88111E9FF9A.db[20150320 07:26:16.199] Will backup file FCAB4EBB6D6E94ED6712C7F287F69F7199411275.db[20150320 07:26:16.200] Will backup file 5B634F00954FD1EA22A2D18B747D94A1721E978A.db[20150320 07:26:16.201] Will backup file sync.dat[20150320 07:26:16.202] Will backup file 99D7A4EB2B13E29899A1D7ED7335E80494BD883E.db[20150320 07:26:16.203] Will backup file settings.dat[20150320 07:26:16.204] Will backup file 64B8D026BEE6E1D67984C90ADEAAF88111E9FF9A.db-shm[20150320 07:26:16.205] Will backup file 76769357F7731C91FBB911152C90C4DA1062A9DE.db[20150320 07:26:16.206] Will backup file 4522199B880A9384F2FB95806D37C1DB7CC1449D.db[20150320 07:26:16.208] Not enough free space on disk to backup settings, free: 139591680 needed: 793059997

Is the last entry "not enough free space on disk..." the main problem?

 

Seems lot's of things are different now with 2.0. With 1.4 i had not that problem even the SD card is almost full of the PI.

 

regards

Dirk

 

EDIT: yes it was the problem. My rootfs was 93% full. Now i cleaned it up and because of log files and with apt-get clean i could get more free space (73% full) actually. Now btsync is running!

Share this post


Link to post
Share on other sites

Hi, I manually updated my btsync-core file prior to the update from the repo. I'm wondering if I should anticipate any errors in doing the upgrade now from the repo, or should I just pin my version?

Share this post


Link to post
Share on other sites

HI there - just a quick question about the btsync database location. I just upgraded from 1.4 to 2.0 and mostly everything is good. However, I noticed that when I check on open files I'm seeing what appears to be the btsync database and logs being stored in 

 

/var/lib/btsync

 

Any chance I can move that to another filesystem since that's running off of a USB key?

Share this post


Link to post
Share on other sites

btsync has a `--log` parameter. I'm pretty sure you can use it to specify an alternative location for the log file.

 

you can further specify the storage path for btsync in a config file. use `btsync --dump-sample-config > btsync.conf`to get a sample config file. use the "storage_path" option in the file to specify the storage location. you can then launch btsync with `btsync --config <your-config-file>` to apply your config file.

Share this post


Link to post
Share on other sites

Hi,

 

did anyone manage to add a 2.0-Folder via config?

1.4 was easy as I just had to copy the key and add it.

But 2.0 has only links.

 

Thanks.

Share this post


Link to post
Share on other sites

Hi,

 

could you please help me how to uninstall btsync and your repository from trusted repositories? Thanks.

 

I looked into /etc/apt/sources.list but the http://debian.yeasoft.net is not listed there, yet when I do apt-update it is shown as one of sources...

 

I already unsintalled btsync with this command:

sudo apt-get --yes --purge remove btsync

But the http://debian.yeasoft.net still remains in my repositories.

 

Beside that and somehow removing http://debian.yeasoft.net is there anything else I need to do to completely remove all traces of btsync from my system?

 

Thak you for your support.

 

PS: I think it would be good idea to add un-installing instructions into the main page with instructions how to install.

Share this post


Link to post
Share on other sites

Hi,

could you please help me how to uninstall btsync and your repository from trusted repositories? Thanks.

I looked into /etc/apt/sources.list but the http://debian.yeasoft.net is not listed there, yet when I do apt-update it is shown as one of sources...

I already unsintalled btsync with this command:

sudo apt-get --yes --purge remove btsync
But the http://debian.yeasoft.net still remains in my repositories.

Beside that and somehow removing http://debian.yeasoft.net is there anything else I need to do to completely remove all traces of btsync from my system?

Thak you for your support.

PS: I think it would be good idea to add un-installing instructions into the main page with instructions how to install.

Look in /etc/alt/sources.list.d/ it is placed there as a seperate file.

Sent from my GT-I9195 with Tapatalk

Share this post


Link to post
Share on other sites
Guest

hi,

 

when is an update planned for the latest 2.0.120 release?

 

thanks for your hard work :)

Share this post


Link to post
Share on other sites

I was experiencing problems with the latest version on the repository (2.0.93) and before diagnosing more I needed to upgrade to 2.0.120 as quick as possible.

 

Since Toxpoldo is a busy guy, he doesn't seem to currently have spare time to update the repository for us. :(

So I tried updating some of my clients manually without affecting the current config.

 

For those who wish to do the same, the workaround is very easy!!

 

     - Download btsync for linux.

 

     - Extract it to the folder of your choice.

 

     - Stop btsync

 

     - Make a backup of the current executable

         ie: "mv /usr/lib/btsync-core/btsync-core /usr/lib/btsync-core/btsync-core-bak"

 

     - Copy the new btsync executable to /usr/lib/btsync-core/ and rename it "btsync-core"

         ie: "cp /home/user/btsync /usr/lib/btsync-core/btsync-core"

    

     - Start btsync and there you go, btsync 2.0.120 running and still with it's current config/shares.

 

Note that when a new version will be posted on the repo I cannot guarantee that you will be able to upgrade it automatically via apt-get.

You will probably need to replace the new executable by the old backup one.

.

Hope it can help some of you while waiting for the repo to be updated.

 

*** BTW, it seems that 2.0.120 fixed the issue I was having with 2.0.93 :)

Cheers!!

Edited by noiime

Share this post


Link to post
Share on other sites
Guest
This topic is now closed to further replies.